### Signal

# Gtk FileChooserWidget::quick-bookmark

#### Declaration

    void
    quick_bookmark (
      GtkFileChooserWidget* self,
      gint bookmark_index,
      gpointer user_data
    )

#### Description [src]

Emitted when the user asks for it.

This is a keybinding signal.

This is used to make the file chooser switch to the bookmark specified in the `bookmark_index` parameter. For example, if you have three bookmarks, you can pass 0, 1, 2 to this signal to switch to each of them, respectively.

The default binding for this signal is `Alt`-`1`, `Alt`-`2`, etc. until `Alt`-`0`. Note that in the default binding, that `Alt`-`1` is actually defined to switch to the bookmark at index 0, and so on successively.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`bookmark_index`

  Type: `gint`

  The number of the bookmark to switch to.